package com.lz.modules.equipment.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
* <p>
* 菜单权限表
* </p>*
* @author quyixiao
* @since 2020-07-29
*/

@Data
@TableName("equipment_type")
public class EquipmentType implements java.io.Serializable {
    //主键id
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除
    private Integer isDelete;
    //生成时间
    private Date gmtCreate;
    //修改时间
    private Date gmtModified;
    //设备类型描述
    private String describe;
    //类型标识
    private String type;
    //排序 
    private Integer rank;
    /**
     * 主键id 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * 主键id 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 生成时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 生成时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 设备类型描述 
     * @return
     */
    public String getDescribe() {
        return describe;
    }
    /**
     * 设备类型描述 
     * @param describe
     */
    public void setDescribe(String describe) {
        this.describe = describe;
    }

    /**
     * 类型标识 
     * @return
     */
    public String getType() {
        return type;
    }
    /**
     * 类型标识 
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 排序  
     * @return
     */
    public Integer getRank() {
        return rank;
    }
    /**
     * 排序  
     * @param rank
     */
    public void setRank(Integer rank) {
        this.rank = rank;
    }

    @Override
    public String toString() {
        return "EquipmentType{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",describe=" + describe +
                ",type=" + type +
                ",rank=" + rank +
                "}";
    }
}